diff mbox

libgo patch committed: Add missing spaces to last mksysinfo commit

Message ID CAOyqgcX+fVhox7WkWt7zfds5FFD_dfOMxNCc0OD+QLMLMHZrMA@mail.gmail.com
State New
Headers show

Commit Message

Ian Lance Taylor July 29, 2015, 9:42 p.m. UTC
The last change to libgo/mksysinfo.sh was missing some spaces, which
apparently causaed mksysinfo to hang on some systems.  This is
https://golang.org/issue/11924.  This patch from Lynn Boger fixes the
problem.  Bootstrapped on x86_64-unknown-linux-gnu, where it made no
difference.  Committed to mainline.

Ian
diff mbox

Patch

Index: gcc/go/gofrontend/MERGE
===================================================================
--- gcc/go/gofrontend/MERGE	(revision 226196)
+++ gcc/go/gofrontend/MERGE	(working copy)
@@ -1,4 +1,4 @@ 
-3aa95d96181dc4525b1b8ec189f9104afa6d7609
+9931f2c150e2da4b7d468db332823d8ef4fb8c34
 
 The first line of this file holds the git revision number of the last
 merge done from the gofrontend repository.
Index: libgo/mksysinfo.sh
===================================================================
--- libgo/mksysinfo.sh	(revision 226196)
+++ libgo/mksysinfo.sh	(working copy)
@@ -1026,19 +1026,19 @@  if ! grep '^const TUNDETACHFILTER' ${OUT
   fi
 fi
 
-if ! grep '^const TUNGETVNETHDRSZ'${OUT} >/dev/null 2>&1; then
+if ! grep '^const TUNGETVNETHDRSZ' ${OUT} >/dev/null 2>&1; then
   if grep '^const _TUNGETVNETHDRSZ_val' ${OUT} >/dev/null 2>&1; then
     echo 'const TUNGETVNETHDRSZ = _TUNGETVNETHDRSZ_val' >> ${OUT}
   fi
 fi
 
-if ! grep '^const TUNSETVNETHDRSZ'${OUT} >/dev/null 2>&1; then
+if ! grep '^const TUNSETVNETHDRSZ' ${OUT} >/dev/null 2>&1; then
   if grep '^const _TUNSETVNETHDRSZ_val' ${OUT} >/dev/null 2>&1; then
     echo 'const TUNSETVNETHDRSZ = _TUNSETVNETHDRSZ_val' >> ${OUT}
   fi
 fi
 
-if ! grep '^const TUNSETQUEUE'${OUT} >/dev/null 2>&1; then
+if ! grep '^const TUNSETQUEUE' ${OUT} >/dev/null 2>&1; then
   if grep '^const _TUNSETQUEUE_val' ${OUT} >/dev/null 2>&1; then
     echo 'const TUNSETQUEUE = _TUNSETQUEUE_val' >> ${OUT}
   fi